aboutsummaryrefslogtreecommitdiff
path: root/iraf.tables/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iraf.tables/build.sh')
-rw-r--r--iraf.tables/build.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/iraf.tables/build.sh b/iraf.tables/build.sh
new file mode 100644
index 0000000..58cd9c8
--- /dev/null
+++ b/iraf.tables/build.sh
@@ -0,0 +1,17 @@
+name=tables
+
+# Configure the environment for IRAF, since conda build appears not to do
+# "source activate" after installing dependencies (this would instead need to
+# eval $PREFIX/iraf/unix/hlib/setup directly if "--level" needs specifying):
+. setup_iraf.sh
+
+# Copy list of proprietary files to remove, from ../stsci_iraf/release_tools
+# (conda build stops if this fails, due to "set -e"):
+sed -ne "s|^$name/||p" release_tools/numrec_list.txt > $name/numrec_list.txt
+
+# Change to the package subdir (special case for STScI IRAF):
+cd $name
+
+# Build from source in envs/_build (using build script from astroconda-utils):
+ac_build_iraf_pkg
+